axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Martin Gainty (JIRA)" <j...@apache.org>
Subject [jira] Created: (AXIS2-3537) 'org.apache.maven.plugins:maven-antrun-plugin' does not exist or no valid version could be found
Date Sun, 24 Feb 2008 16:37:14 GMT
'org.apache.maven.plugins:maven-antrun-plugin' does not exist or no valid version could be
found
------------------------------------------------------------------------------------------------

                 Key: AXIS2-3537
                 URL: https://issues.apache.org/jira/browse/AXIS2-3537
             Project: Axis 2.0 (Axis2)
          Issue Type: Bug
          Components: adb
    Affects Versions: 1.3
         Environment: maven 2.0.8
Axis 2-1.3
            Reporter: Martin Gainty


if I 
download AXIS2-1.3 to Axis_Installed_Folder
set $AXIS2_HOME=Axis_Installed_Folder
cd $AXIS2_HOME\modules\adb-codegen
mvn -e -debug install
[DEBUG] Artifact not found - using stub model: Unable to determine the latest ve
rsion

  org.apache.maven.plugins:maven-antrun-plugin:pom:LATEST


[DEBUG] Using defaults for missing POM org.apache.maven.plugins:maven-antrun-plu
gin:pom:LATEST
[DEBUG] maven-antrun-plugin: using locally installed snapshot
[DEBUG] Artifact not found - using stub model: Unable to determine the release v
ersion

  org.apache.maven.plugins:maven-antrun-plugin:pom:RELEASE


[DEBUG] Using defaults for missing POM org.apache.maven.plugins:maven-antrun-plu
gin:pom:RELEASE
[INFO] ------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------------------
[INFO] The plugin 'org.apache.maven.plugins:maven-antrun-plugin' does not exist
or no valid version could be found
[INFO] ------------------------------------------------------------------------
[DEBUG] Trace
org.apache.maven.lifecycle.LifecycleExecutionException: The plugin 'org.apache.m
aven.plugins:maven-antrun-plugin' does not exist or no valid version could be fo
und
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPlugin(Defa
ultLifecycleExecutor.java:1286)

relevant contents of pom.xml
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-antrun-plugin</artifactId>

I dont see a version tag for maven-antrun-plugin

Is there a workaround???
Thanks
Martin--

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: axis-dev-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-dev-help@ws.apache.org


Mime
View raw message